Skip to main content
POST
/
audiences
/
loyalty-tiers
cURL
curl --request POST \
  --url https://admin.fanfare.io/api/audiences/loyalty-tiers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "groupName": "<string>",
  "tiers": [
    {
      "name": "<string>",
      "order": 123,
      "startValue": 123,
      "endValue": 123,
      "iconName": "<string>"
    }
  ]
}
'
{
  "audiences": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "imports": [
        {
          "archived": true,
          "audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdBy": "<string>",
          "errorCount": 123,
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "processedConsumers": 123,
          "progress": 123,
          "s3Key": "<string>",
          "errors": [
            {
              "issues": [
                "<unknown>"
              ],
              "row": 123
            }
          ],
          "totalConsumers": 123,
          "updatedAt": "2023-11-07T05:31:56Z",
          "updatedBy": "<string>"
        }
      ],
      "name": "<string>",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rules": [
        {
          "audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "field": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "values": [
            "<string>"
          ],
          "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "position": 0
        }
      ],
      "description": "<string>",
      "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "groupName": "<string>",
      "iconName": "<string>",
      "lastRefreshedAt": "2023-11-07T05:31:56Z",
      "metadata": {},
      "primaryExternalId": "<string>",
      "primaryLastSyncedAt": "2023-11-07T05:31:56Z",
      "primarySourceVendor": "<string>",
      "primarySyncSource": {
        "archived": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "createdBy": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "syncSource": "<string>",
        "syncSourceId": "<string>",
        "lastSyncedAt": "2023-11-07T05:31:56Z",
        "sourceData": {},
        "syncStatus": "PENDING",
        "updatedAt": "2023-11-07T05:31:56Z",
        "updatedBy": "<string>"
      },
      "primarySyncSourceId": "<string>",
      "refreshIntervalSeconds": 123,
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": "<string>"
    }
  ],
  "tierGroup": "<string>"
}

Authorizations

Authorization
string
header
required

Fanfare secret key. Keep secret credentials on your server.

Body

application/json
attribute
enum<string>
required
Available options:
loyaltyBalance,
loyaltyLifetimePoints,
ltv,
totalOrders,
aov,
activityScore,
purchaseFrequencyScore,
monetaryScore
groupName
string
required
tiers
object[]
required

Response

Loyalty tier audiences created successfully

audiences
object[]
required
tierGroup
string
required